运行fasterrcnn.pytorch1.0记录

tech2024-07-10  14

faster_rcnn.pytoch1.0项目的地址:https://github.com/jwyang/faster-rcnn.pytorch/tree/pytorch-1.0

运行该项目的训练程序主要环节是:编译faster_rcnn中的模块和编译pythoncocoapi。

(1)编译faster_rcnn的时候pytorch必须是1.0版本的,否则即使编译成功了,在运行阶段也会报cannot import _C的错误。还有python=3.6,cuda为10.0.

看lib文件夹下面有没有build文件夹,如果有就是编译过了,没有就是还没有编译。

(2)因为项目中提供的pycocoapi是老版本的,运行时会出现cannot import _mask的错误所以必须到cocoapi的github网站下载最新版本,编译过程中的报错在前面几篇的记录中已经给出。

编译好了以后就是准备训练数据集和调试代码了,这些都比较简单,按照readme中步骤进行就可以成功。

我一开始是在windows上面进行配置环境的,因为我电脑的各个环境配置可能与目标环境配置都差很多,所以有很多报错,调试了很多天也没有调试好。后来在linux上配置的,流程很顺畅,出现的错误也很容易通过搜索解决,几个小时就配置好了。

 

最新回复(0)